Subject: Bug#1170: [X2Go-Dev] Bug#1170: x2goplugin / x2goplugin-provider Failed toconnect: Permission denied

From: "Justin St. Marie" <[email-masked]>
Date: Mon, 8 May 2017 13:25:40 -0400

I'm using 52 ESR, the last version that will ever support npapi.  52
non-ESR already blocks it.

The only other thing I noticed is that the packaged x2goserver is a
different version than the plugin and plugin-provider.  Packages for other
distros all match to 4.1.0.  Does the x2go server version have to match the
plugin and plugin-provider version?

On Mon, May 8, 2017 at 1:14 PM, Ulrich Sibiller <[email-masked]>
wrote:

> AFAIK npapi plugin support has been removed in Firefox 52 so the x2go
> plugin will not work anymore.
>
> Uli
>
> Vom Smartphone gesendet.
> ------------------------------
> Von: Justin St. Marie <[email-masked]>
> Gesendet: ‎08.‎05.‎2017 17:33
> An: [email-masked]
> Betreff: [X2Go-Dev] Bug#1170: x2goplugin / x2goplugin-provider Failed
> toconnect: Permission denied
>
> Package: x2goserver
> Version: 4.0.1.20-1.el7.x86_64
>
> Package: x2goplugin-provider
> Version: 4.1.0.0-1.el7.x86_64
>
> Package: x2goplugin
> Version: 4.1.0.0-1.el7.x86_64
>
> All packages are from the official EPEL 7 repository.
>
> When trying to log in using the firefox plugin, the error is:  Failed to
> connect: Permission denied.  The same credentials work with the x2go client.
>
> I used the example X2Go Demo config file, only changing server=IPaddress.
>